<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bài tập mảng</title>
    <!-- <link rel="shortcut icon" type="image/x-icon" href="./img/download.png" /> -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />

    <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/khloe1425/baitapmang@master/css/style.min.css"> -->
    <link rel="stylesheet" href="./css/style.min.css" />
  </head>

  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="bg-holder d-none d-lg-block bg-card"></div>
        <div class="card-body position-relative p-0">
          <div class="row p-0">
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content mx-auto"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active"
                id="bai1"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <div class="callout callout-warning">
                  <p class="mb-0">
                    ❗
                    <b
                      >Đây chỉ là gợi ý nên người làm có thể làm khác gợi ý,
                      miễn đúng theo yêu cầu trong file đề bài</b
                    >
                  </p>
                </div>
                <form class="row gy-3 align-items-center py-3">
                  <div class="col-12 col-lg-6">
                    <input
                      type="number"
                      class="form-control form__input"
                      id="inputNum"
                      placeholder="Nhập số n"
                    />
                  </div>
                  <div class="col-12 col-lg-6">
                    <button
                      class="btn btn--primary me-1 mb-1"
                      type="button"
                      onclick="getNumber()"
                    >
                      Thêm số
                    </button>
                  </div>
                  <div class="alert alert-success" role="alert">
                    👉<span id="txtArray"></span>
                  </div>
                </form>
                <div class="accordion" id="accordionExample">
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingOne">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseOne"
                        aria-expanded="false"
                        aria-controls="collapseOne"
                      >
                        1️⃣ Tổng số dương
                      </button>
                    </h2>
                    <div
                      id="collapseOne"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingOne"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">
                            💡<b>Gợi ý:</b> Làm tương tự demo đã học trên lớp
                          </p>
                          <!-- <details>
                                                    <summary>Mở rộng để xem thêm</summary>                                   
                                                </details> -->
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="calSumPositive()"
                            >
                              Tính tổng
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtSum"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseTwo"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        2️⃣ Đếm số dương
                      </button>
                    </h2>
                    <div
                      id="collapseTwo"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">
                            💡<b>Gợi ý:</b> Làm tương tự demo đã học trên lớp
                          </p>
                          <!-- <details>
                                                    <summary>Mở rộng để xem thêm</summary>                                   
                                                </details> -->
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="countPositive()"
                            >
                              Đếm số
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtCount"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseThree"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        3️⃣ Tìm số nhỏ nhất
                      </button>
                    </h2>
                    <div
                      id="collapseThree"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">
                            💡<b>Gợi ý:</b> Làm tương tự demo Sinh Vien đã học
                            trên lớp
                          </p>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="findMin()"
                            >
                              Tìm số nhỏ nhất
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtMin"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseFour"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        4️⃣ Tìm số dương nhỏ nhất
                      </button>
                    </h2>
                    <div
                      id="collapseFour"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý:</b></p>
                          <details>
                            <summary>Mở rộng để xem thêm</summary>
                            <ul>
                              <li>
                                Tạo thêm 1 mảng mới dùng để chứa các số dương
                              </li>
                              <li>
                                Dùng vòng lặp để lấy các số dương từ mảng cũ và
                                lưu vào trong mảng mới
                              </li>
                              <li>
                                Kiểm tra mảng mới có phần tử hay không. Nếu có
                                thì bắt đầu đi tìm giá trị dương nhỏ nhất. Ngược
                                lại thì thông báo không có số dương
                              </li>
                            </ul>
                          </details>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="findMinPos()"
                            >
                              Tìm số dương nhỏ nhất
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtMinPos"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseFive"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        5️⃣ Tìm số chẵn cuối cùng
                      </button>
                    </h2>
                    <div
                      id="collapseFive"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý:</b></p>
                          <details>
                            <summary>Mở rộng để xem thêm</summary>
                            <ul>
                              <li>Tạo 1 biến chứa số chẵn cuối cùng</li>
                              <li>
                                Dùng vòng lặp duyệt mảng và kiểm tra số chẵn.
                                Nếu là số chẵn thì gán vào biến.
                              </li>
                            </ul>
                          </details>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="findEven()"
                            >
                              Tìm số chẵn
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtEven"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseSix"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        6️⃣ Đổi chỗ
                      </button>
                    </h2>
                    <div
                      id="collapseSix"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý:</b></p>
                          <details>
                            <summary>Mở rộng để xem thêm</summary>
                            <ul>
                              <li>
                                Vị trí là index của phần tử trong mảng. <br />
                                Để gán giá trị vào 1 vị trí(index) trong mảng =>
                                array[index] = giá trị;
                              </li>
                              <li>
                                Tạo 1 biến tạm, gán giá trị của phần tử ở vị trí
                                1 vào biến tạm
                              </li>
                              <li>
                                Gán giá trị của phần tử ở vị trí 2 vào vị trí 1
                              </li>
                              <li>Gán giá trị biến tạm vào vị trí 2</li>
                            </ul>
                          </details>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12 col-lg-6">
                            <input
                              type="number"
                              class="form-control form__input"
                              id="inputIndex1"
                              placeholder="Nhập số vị trí 1"
                            />
                          </div>
                          <div class="col-12 col-lg-6">
                            <input
                              type="number"
                              class="form-control form__input"
                              id="inputIndex2"
                              placeholder="Nhập số vị trí 2"
                            />
                          </div>
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="changePosition()"
                            >
                              Đổi chỗ
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtChangePos"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseSev"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        7️⃣ Sắp xếp tăng dần
                      </button>
                    </h2>
                    <div
                      id="collapseSev"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">
                            💡<b>Gợi ý: </b> Làm tương tự demo Sinh Vien đã học
                            trên lớp
                          </p>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="sortIncrease()"
                            >
                              Sắp xếp
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtIncrease"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseE"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        8️⃣ Tìm số nguyên tố đầu tiên
                      </button>
                    </h2>
                    <div
                      id="collapseE"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý: </b></p>
                          <ul>
                            <li>
                              Khi tìm thấy số nguyên tố đầu tiên thì dùng lệnh
                              dừng vòng lặp (break) để không duyệt những số tiếp
                              theo trong mảng
                            </li>
                          </ul>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="findPrime()"
                            >
                              Tìm số nguyên tố
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtPrime"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseNine"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        9️⃣ Đếm số nguyên
                      </button>
                    </h2>
                    <div
                      id="collapseNine"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý: </b></p>
                          <ul>
                            <li>
                              Sử dụng
                              <a
                                href="https://www.w3schools.com/jsref/jsref_isinteger.asp"
                                target="_blank"
                                >Number.isInteger</a
                              >
                              để kiểm tra số nguyên
                            </li>
                          </ul>
                        </div>
                        <form class="row gy-3 align-items-center py-3">
                          <div class="col-12 col-lg-6">
                            <input
                              type="number"
                              class="form-control form__input"
                              id="inputFloat"
                              placeholder="Nhập số"
                            />
                          </div>
                          <div class="col-12 col-lg-6">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="getFloat()"
                            >
                              Thêm số
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtArrayFloat"></span>
                          </div>
                          <div class="col-12 col-lg-6">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="findInt()"
                            >
                              Đếm số nguyên
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtInt"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseTen"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        🔟 So sánh số lượng số âm và dương
                      </button>
                    </h2>
                    <div
                      id="collapseTen"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <div class="callout callout-info">
                          <p class="mb-0">💡<b>Gợi ý: </b></p>
                          <ul>
                            <li>
                              Đếm số lượng sô âm và số dương. Sau đó so sánh số
                              lượng của 2 loại
                            </li>
                          </ul>
                        </div>
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              onclick="compareNum()"
                            >
                              So sánh
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="txtCompare"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>

    <script src="./js/index.js"></script>
  </body>
</html>
